Update Workflow Public
curl --request PATCH \
--url https://api.example.com/v1/workflows/{workflow_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"saved": true,
"definition": {},
"error_handler": {},
"meta": {
"tags": [],
"icon": "<string>",
"log_sync_sheet": {
"name": "<string>",
"id": "<string>",
"time_created": "<string>"
},
"columns": [
{
"name": "<string>",
"visible": true
}
],
"spreadsheet": {
"name": "<string>",
"id": "<string>",
"timestamp": "<string>",
"url": "<string>"
},
"template_id": "<string>",
"variables": [
{}
]
},
"workflow_hash": "<string>",
"is_app_published": true,
"app_settings_v2": {
"is_active": false,
"version_id": "<string>",
"extra_settings": {},
"published_at": "2023-11-07T05:31:56Z"
},
"settings": null,
"expected_workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"base_revision": 123
}
'import requests
url = "https://api.example.com/v1/workflows/{workflow_id}"
payload = {
"name": "<string>",
"description": "<string>",
"saved": True,
"definition": {},
"error_handler": {},
"meta": {
"tags": [],
"icon": "<string>",
"log_sync_sheet": {
"name": "<string>",
"id": "<string>",
"time_created": "<string>"
},
"columns": [
{
"name": "<string>",
"visible": True
}
],
"spreadsheet": {
"name": "<string>",
"id": "<string>",
"timestamp": "<string>",
"url": "<string>"
},
"template_id": "<string>",
"variables": [{}]
},
"workflow_hash": "<string>",
"is_app_published": True,
"app_settings_v2": {
"is_active": False,
"version_id": "<string>",
"extra_settings": {},
"published_at": "2023-11-07T05:31:56Z"
},
"settings": None,
"expected_workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"base_revision": 123
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
saved: true,
definition: {},
error_handler: {},
meta: {
tags: [],
icon: '<string>',
log_sync_sheet: {name: '<string>', id: '<string>', time_created: '<string>'},
columns: [{name: '<string>', visible: true}],
spreadsheet: {name: '<string>', id: '<string>', timestamp: '<string>', url: '<string>'},
template_id: '<string>',
variables: [{}]
},
workflow_hash: '<string>',
is_app_published: true,
app_settings_v2: {
is_active: false,
version_id: '<string>',
extra_settings: {},
published_at: '2023-11-07T05:31:56Z'
},
settings: null,
expected_workflow_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
base_revision: 123
})
};
fetch('https://api.example.com/v1/workflows/{workflow_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/workflows/{workflow_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'saved' => true,
'definition' => [
],
'error_handler' => [
],
'meta' => [
'tags' => [
],
'icon' => '<string>',
'log_sync_sheet' => [
'name' => '<string>',
'id' => '<string>',
'time_created' => '<string>'
],
'columns' => [
[
'name' => '<string>',
'visible' => true
]
],
'spreadsheet' => [
'name' => '<string>',
'id' => '<string>',
'timestamp' => '<string>',
'url' => '<string>'
],
'template_id' => '<string>',
'variables' => [
[
]
]
],
'workflow_hash' => '<string>',
'is_app_published' => true,
'app_settings_v2' => [
'is_active' => false,
'version_id' => '<string>',
'extra_settings' => [
],
'published_at' => '2023-11-07T05:31:56Z'
],
'settings' => null,
'expected_workflow_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'base_revision' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/workflows/{workflow_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"saved\": true,\n \"definition\": {},\n \"error_handler\": {},\n \"meta\": {\n \"tags\": [],\n \"icon\": \"<string>\",\n \"log_sync_sheet\": {\n \"name\": \"<string>\",\n \"id\": \"<string>\",\n \"time_created\": \"<string>\"\n },\n \"columns\": [\n {\n \"name\": \"<string>\",\n \"visible\": true\n }\n ],\n \"spreadsheet\": {\n \"name\": \"<string>\",\n \"id\": \"<string>\",\n \"timestamp\": \"<string>\",\n \"url\": \"<string>\"\n },\n \"template_id\": \"<string>\",\n \"variables\": [\n {}\n ]\n },\n \"workflow_hash\": \"<string>\",\n \"is_app_published\": true,\n \"app_settings_v2\": {\n \"is_active\": false,\n \"version_id\": \"<string>\",\n \"extra_settings\": {},\n \"published_at\": \"2023-11-07T05:31:56Z\"\n },\n \"settings\": null,\n \"expected_workflow_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"base_revision\": 123\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/v1/workflows/{workflow_id}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"saved\": true,\n \"definition\": {},\n \"error_handler\": {},\n \"meta\": {\n \"tags\": [],\n \"icon\": \"<string>\",\n \"log_sync_sheet\": {\n \"name\": \"<string>\",\n \"id\": \"<string>\",\n \"time_created\": \"<string>\"\n },\n \"columns\": [\n {\n \"name\": \"<string>\",\n \"visible\": true\n }\n ],\n \"spreadsheet\": {\n \"name\": \"<string>\",\n \"id\": \"<string>\",\n \"timestamp\": \"<string>\",\n \"url\": \"<string>\"\n },\n \"template_id\": \"<string>\",\n \"variables\": [\n {}\n ]\n },\n \"workflow_hash\": \"<string>\",\n \"is_app_published\": true,\n \"app_settings_v2\": {\n \"is_active\": false,\n \"version_id\": \"<string>\",\n \"extra_settings\": {},\n \"published_at\": \"2023-11-07T05:31:56Z\"\n },\n \"settings\": null,\n \"expected_workflow_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"base_revision\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/workflows/{workflow_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"saved\": true,\n \"definition\": {},\n \"error_handler\": {},\n \"meta\": {\n \"tags\": [],\n \"icon\": \"<string>\",\n \"log_sync_sheet\": {\n \"name\": \"<string>\",\n \"id\": \"<string>\",\n \"time_created\": \"<string>\"\n },\n \"columns\": [\n {\n \"name\": \"<string>\",\n \"visible\": true\n }\n ],\n \"spreadsheet\": {\n \"name\": \"<string>\",\n \"id\": \"<string>\",\n \"timestamp\": \"<string>\",\n \"url\": \"<string>\"\n },\n \"template_id\": \"<string>\",\n \"variables\": [\n {}\n ]\n },\n \"workflow_hash\": \"<string>\",\n \"is_app_published\": true,\n \"app_settings_v2\": {\n \"is_active\": false,\n \"version_id\": \"<string>\",\n \"extra_settings\": {},\n \"published_at\": \"2023-11-07T05:31:56Z\"\n },\n \"settings\": null,\n \"expected_workflow_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"base_revision\": 123\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "flow",
"definition": {},
"workflow_hash": "<string>",
"revision": 0,
"meta": {
"tags": [],
"icon": "<string>",
"log_sync_sheet": {
"name": "<string>",
"id": "<string>",
"time_created": "<string>"
},
"columns": [
{
"name": "<string>",
"visible": true
}
],
"spreadsheet": {
"name": "<string>",
"id": "<string>",
"timestamp": "<string>",
"url": "<string>"
},
"template_id": "<string>",
"variables": [
{}
],
"source": "genie"
},
"settings": {},
"last_updated_at": "2023-11-07T05:31:56Z",
"last_run_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"runs_count": 123,
"author_name": "<string>",
"description": "<string>",
"saved": true,
"error_handler": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_app_published": true,
"app_settings_v2": {
"is_active": false,
"version_id": "<string>",
"interface_type": "slack",
"extra_settings": {},
"published_at": "2023-11-07T05:31:56Z"
},
"flow_version": "v1"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Workflows
Update workflow public
PATCH
/
v1
/
workflows
/
{workflow_id}
Update Workflow Public
curl --request PATCH \
--url https://api.example.com/v1/workflows/{workflow_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"saved": true,
"definition": {},
"error_handler": {},
"meta": {
"tags": [],
"icon": "<string>",
"log_sync_sheet": {
"name": "<string>",
"id": "<string>",
"time_created": "<string>"
},
"columns": [
{
"name": "<string>",
"visible": true
}
],
"spreadsheet": {
"name": "<string>",
"id": "<string>",
"timestamp": "<string>",
"url": "<string>"
},
"template_id": "<string>",
"variables": [
{}
]
},
"workflow_hash": "<string>",
"is_app_published": true,
"app_settings_v2": {
"is_active": false,
"version_id": "<string>",
"extra_settings": {},
"published_at": "2023-11-07T05:31:56Z"
},
"settings": null,
"expected_workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"base_revision": 123
}
'import requests
url = "https://api.example.com/v1/workflows/{workflow_id}"
payload = {
"name": "<string>",
"description": "<string>",
"saved": True,
"definition": {},
"error_handler": {},
"meta": {
"tags": [],
"icon": "<string>",
"log_sync_sheet": {
"name": "<string>",
"id": "<string>",
"time_created": "<string>"
},
"columns": [
{
"name": "<string>",
"visible": True
}
],
"spreadsheet": {
"name": "<string>",
"id": "<string>",
"timestamp": "<string>",
"url": "<string>"
},
"template_id": "<string>",
"variables": [{}]
},
"workflow_hash": "<string>",
"is_app_published": True,
"app_settings_v2": {
"is_active": False,
"version_id": "<string>",
"extra_settings": {},
"published_at": "2023-11-07T05:31:56Z"
},
"settings": None,
"expected_workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"base_revision": 123
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
saved: true,
definition: {},
error_handler: {},
meta: {
tags: [],
icon: '<string>',
log_sync_sheet: {name: '<string>', id: '<string>', time_created: '<string>'},
columns: [{name: '<string>', visible: true}],
spreadsheet: {name: '<string>', id: '<string>', timestamp: '<string>', url: '<string>'},
template_id: '<string>',
variables: [{}]
},
workflow_hash: '<string>',
is_app_published: true,
app_settings_v2: {
is_active: false,
version_id: '<string>',
extra_settings: {},
published_at: '2023-11-07T05:31:56Z'
},
settings: null,
expected_workflow_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
base_revision: 123
})
};
fetch('https://api.example.com/v1/workflows/{workflow_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/workflows/{workflow_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'saved' => true,
'definition' => [
],
'error_handler' => [
],
'meta' => [
'tags' => [
],
'icon' => '<string>',
'log_sync_sheet' => [
'name' => '<string>',
'id' => '<string>',
'time_created' => '<string>'
],
'columns' => [
[
'name' => '<string>',
'visible' => true
]
],
'spreadsheet' => [
'name' => '<string>',
'id' => '<string>',
'timestamp' => '<string>',
'url' => '<string>'
],
'template_id' => '<string>',
'variables' => [
[
]
]
],
'workflow_hash' => '<string>',
'is_app_published' => true,
'app_settings_v2' => [
'is_active' => false,
'version_id' => '<string>',
'extra_settings' => [
],
'published_at' => '2023-11-07T05:31:56Z'
],
'settings' => null,
'expected_workflow_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'base_revision' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/workflows/{workflow_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"saved\": true,\n \"definition\": {},\n \"error_handler\": {},\n \"meta\": {\n \"tags\": [],\n \"icon\": \"<string>\",\n \"log_sync_sheet\": {\n \"name\": \"<string>\",\n \"id\": \"<string>\",\n \"time_created\": \"<string>\"\n },\n \"columns\": [\n {\n \"name\": \"<string>\",\n \"visible\": true\n }\n ],\n \"spreadsheet\": {\n \"name\": \"<string>\",\n \"id\": \"<string>\",\n \"timestamp\": \"<string>\",\n \"url\": \"<string>\"\n },\n \"template_id\": \"<string>\",\n \"variables\": [\n {}\n ]\n },\n \"workflow_hash\": \"<string>\",\n \"is_app_published\": true,\n \"app_settings_v2\": {\n \"is_active\": false,\n \"version_id\": \"<string>\",\n \"extra_settings\": {},\n \"published_at\": \"2023-11-07T05:31:56Z\"\n },\n \"settings\": null,\n \"expected_workflow_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"base_revision\": 123\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/v1/workflows/{workflow_id}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"saved\": true,\n \"definition\": {},\n \"error_handler\": {},\n \"meta\": {\n \"tags\": [],\n \"icon\": \"<string>\",\n \"log_sync_sheet\": {\n \"name\": \"<string>\",\n \"id\": \"<string>\",\n \"time_created\": \"<string>\"\n },\n \"columns\": [\n {\n \"name\": \"<string>\",\n \"visible\": true\n }\n ],\n \"spreadsheet\": {\n \"name\": \"<string>\",\n \"id\": \"<string>\",\n \"timestamp\": \"<string>\",\n \"url\": \"<string>\"\n },\n \"template_id\": \"<string>\",\n \"variables\": [\n {}\n ]\n },\n \"workflow_hash\": \"<string>\",\n \"is_app_published\": true,\n \"app_settings_v2\": {\n \"is_active\": false,\n \"version_id\": \"<string>\",\n \"extra_settings\": {},\n \"published_at\": \"2023-11-07T05:31:56Z\"\n },\n \"settings\": null,\n \"expected_workflow_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"base_revision\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/workflows/{workflow_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"saved\": true,\n \"definition\": {},\n \"error_handler\": {},\n \"meta\": {\n \"tags\": [],\n \"icon\": \"<string>\",\n \"log_sync_sheet\": {\n \"name\": \"<string>\",\n \"id\": \"<string>\",\n \"time_created\": \"<string>\"\n },\n \"columns\": [\n {\n \"name\": \"<string>\",\n \"visible\": true\n }\n ],\n \"spreadsheet\": {\n \"name\": \"<string>\",\n \"id\": \"<string>\",\n \"timestamp\": \"<string>\",\n \"url\": \"<string>\"\n },\n \"template_id\": \"<string>\",\n \"variables\": [\n {}\n ]\n },\n \"workflow_hash\": \"<string>\",\n \"is_app_published\": true,\n \"app_settings_v2\": {\n \"is_active\": false,\n \"version_id\": \"<string>\",\n \"extra_settings\": {},\n \"published_at\": \"2023-11-07T05:31:56Z\"\n },\n \"settings\": null,\n \"expected_workflow_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"base_revision\": 123\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "flow",
"definition": {},
"workflow_hash": "<string>",
"revision": 0,
"meta": {
"tags": [],
"icon": "<string>",
"log_sync_sheet": {
"name": "<string>",
"id": "<string>",
"time_created": "<string>"
},
"columns": [
{
"name": "<string>",
"visible": true
}
],
"spreadsheet": {
"name": "<string>",
"id": "<string>",
"timestamp": "<string>",
"url": "<string>"
},
"template_id": "<string>",
"variables": [
{}
],
"source": "genie"
},
"settings": {},
"last_updated_at": "2023-11-07T05:31:56Z",
"last_run_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"runs_count": 123,
"author_name": "<string>",
"description": "<string>",
"saved": true,
"error_handler": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_app_published": true,
"app_settings_v2": {
"is_active": false,
"version_id": "<string>",
"interface_type": "slack",
"extra_settings": {},
"published_at": "2023-11-07T05:31:56Z"
},
"flow_version": "v1"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Path Parameters
Query Parameters
Body
application/json
Available options:
flow, handler, ingestion, inbox_process, inbox_filtering, inbox_extraction, task_automation Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful Response
Available options:
flow, handler, ingestion, inbox_process, inbox_filtering, inbox_extraction, task_automation Show child attributes
Show child attributes
Show child attributes
Show child attributes